Name:		iwhd
Version:	0.98.15.z3
Release:	2%{?dist}
Summary:	Image WareHouse Daemon

Group:		System Environment/Libraries
License:	GPLv3

URL:		http://git.fedorahosted.org/git/?p=iwhd.git

# pulled from upstream git,
# to recreate tarball, check out commit, then run "make dist"
Source0:	iwhd-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: boost-devel
BuildRequires: boost-filesystem
BuildRequires: gc-devel
BuildRequires: hail-devel
BuildRequires: jansson-devel
BuildRequires: libcurl-devel
BuildRequires: libmicrohttpd-devel
BuildRequires: libxml2-devel
BuildRequires: libuuid-devel
BuildRequires: mongodb-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: help2man

# mongodb-server is required at build time so make check succeeds
BuildRequires: mongodb-server

%description
Deltacloud image-warehouse daemon

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%check
make -s check

%clean
rm -rf %{buildroot}

%post

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_bindir}/iwhd
%{_bindir}/dc-rhev-image
%{_bindir}/dc-vmware-image
%{_mandir}/man8/iwhd.8*
%{_sysconfdir}/rc.d/init.d/iwhd
%config(noreplace)	%{_sysconfdir}/iwhd/conf.js
%config(noreplace)	%{_sysconfdir}/logrotate.d/iwhd
%{_localstatedir}/lib/iwhd

%changelog
* Tue Sep 29 2011 Richard Su <rwsu@redhat.com>
- Increase the import timeout to 60 minutes

* Tue Aug 16 2011 Pete Zaitcev <zaitcev@redhat.com>
- Increase the import timeout to 10 minutes.
- Remove the /tmp/xxxx dump file from Jason's fix for <state>
- Bump to 0.98.15.z3-1

* Tue Aug  9 2011 Pete Zaitcev <zaitcev@redhat.com>
- test 2 for Jason

* Wed Oct  7 2010 Jim Meyering <meyering@redhat.com> - 0.90-1
- Initial release.
